MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023841Community[OCCT] OCCT:DRAWpublic2013-03-20 12:232013-04-29 15:24
ReporterPawel 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023841: Redundant assignment to itself.
DescriptionIn ViewerTest_ViewerCommands.cxx
Lines:

1163 / 1164
X_ButtonPress = X_ButtonPress;
Y_ButtonPress = Y_ButtonPress;

and 1251 / 1252
X_Motion = X_Motion;
Y_Motion = Y_Motion;

Not sure about the intention. Maybe some cross-assignement like
X_Motion = X_ButtonPress
was meant?
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0023243closedbugmaster Open CASCADE Adapt OpenGL viewer for using in Cocoa applications on Mac OS X 

-  Notes
(0023811)
abv (manager)
2013-03-20 12:35

The code in question has been integrated with 0023243
(0023814)
dbv (developer)
2013-03-20 13:42

Before patch 0023243 there were duplicate variables (X_ButtonPress == xx1, X_Motion == xx2, Y_ButtonPress == yy1, Y_Motion == yy2). So, this assignment does not carry any sense, and can be removed.

Dear Andrey, please review branch CR23841
(0023815)
abv (manager)
2013-03-20 14:36

No remarks, please test.
(0023816)
abv (manager)
2013-03-20 14:37

Pawel, thank you for reporting the issue -- it was real bug!
(0023818)
Pawel (developer)
2013-03-20 15:10

Hello Andrey,

no problem. I occasionally run cppcheck and/or PVS-Studio on OCCT and this is how such issues come up...
(0023838)
mkv (tester)
2013-03-21 18:22

Dear BugMaster,

Branch CR23841 (and products from GIT master) was compiled on Linux and Windows platforms and tested without rebase.
SHA-1: fb506ad63d0e609fe97c34ff1646744f2683fa0c

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 50 (50 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 243645256 / 241817424
Total CPU difference: 16888.970000000067 / 14998.230000000101

Testing on Windows:
Total MEMORY difference: 351739168 / 354518108
Total CPU difference: 21628.5625 / 22867.515625

There are not serious differences in images found by testdiff.

- Related Changesets
occt: master 5c686fff
Timestamp: 2013-03-20 09:28:53
Author: dbv
Details ] Diff ]
0023841: Redundant assignment to itself.

Removed redundant assignment to itself in ViewerTest_ViewerCommands
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-03-20 12:23 Pawel New Issue
2013-03-20 12:23 Pawel Assigned To => bugmaster
2013-03-20 12:33 abv Assigned To bugmaster => dbv
2013-03-20 12:33 abv Status new => assigned
2013-03-20 12:35 abv Relationship added child of 0023243
2013-03-20 12:35 abv Note Added: 0023811
2013-03-20 12:39 abv Target Version 6.7.0 => 6.6.0
2013-03-20 13:42 dbv Note Added: 0023814
2013-03-20 13:42 dbv Assigned To dbv => abv
2013-03-20 13:42 dbv Status assigned => resolved
2013-03-20 14:36 abv Note Added: 0023815
2013-03-20 14:36 abv Assigned To abv => bugmaster
2013-03-20 14:36 abv Status resolved => reviewed
2013-03-20 14:37 abv Note Added: 0023816
2013-03-20 15:10 Pawel Note Added: 0023818
2013-03-20 16:30 mkv Assigned To bugmaster => mkv
2013-03-21 18:22 mkv Note Added: 0023838
2013-03-21 18:23 mkv Test case number => Not needed
2013-03-21 18:23 mkv Assigned To mkv => bugmaster
2013-03-21 18:23 mkv Status reviewed => tested
2013-03-25 18:39 dbv Changeset attached => occt master 5c686fff
2013-03-25 18:39 dbv Assigned To bugmaster => dbv
2013-03-25 18:39 dbv Status tested => verified
2013-03-25 18:39 dbv Resolution open => fixed
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:24 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker